## rust-console 0.13.0

=== Makefile ===
all: test
.PHONY: all

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all
.PHONY: format

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check
.PHONY: format-check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy
.PHONY: lint

update-readme:
	@cargo readme > README.md
.PHONY: update-readme

test:
	@cargo test
	@cargo test --no-default-features
	@rustup target add wasm32-unknown-unknown
	@cargo check --target wasm32-unknown-unknown
	@rustup target add wasm32-wasi
	@cargo check --target wasm32-wasi
.PHONY: test

## rust-console 0.8.0

=== debian/changelog ===
rust-console (0.8.0-1) unstable; urgency=medium

  * Package console 0.8.0 from crates.io using debcargo 2.2.10

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 29 Aug 2019 07:44:10 +0000

rust-console (0.7.7-1) unstable; urgency=medium

  * Package console 0.7.7 from crates.io using debcargo 2.2.10

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 20 Jul 2019 15:03:35 -0300

=== debian/control ===
Source: rust-console
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-clicolors-control-1+default-dev <!nocheck>,
 librust-encode-unicode-0.3+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-regex-1+default-dev <!nocheck>,
 librust-termios-0.3+default-dev <!nocheck>,
 librust-unicode-width-0.1+default-dev <!nocheck>,
 librust-winapi-0.3+consoleapi-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winuser-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <pl@ninthfloor.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
Homepage: https://github.com/mitsuhiko/console

Package: librust-console-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clicolors-control-1+default-dev,
 librust-encode-unicode-0.3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-regex-1+default-dev,
 librust-termios-0.3+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-winapi-0.3+consoleapi-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winuser-dev
Provides:
 librust-console+default-dev (= ${binary:Version}),
 librust-console-0-dev (= ${binary:Version}),
 librust-console-0+default-dev (= ${binary:Version}),
 librust-console-0.8-dev (= ${binary:Version}),
 librust-console-0.8+default-dev (= ${binary:Version}),
 librust-console-0.8.0-dev (= ${binary:Version}),
 librust-console-0.8.0+default-dev (= ${binary:Version})
Description: Terminal and console abstraction for Rust - Rust source code
 This package contains the source for the Rust console crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/console-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/console .*/crates/console/@ANY_VERSION@/download

## rust-console 0.13.0

=== debian/changelog ===
rust-console (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Package console 0.13.0 from crates.io using debcargo 2.4.4
  * fix test when unicode-width is enabled and strip-ansi-escapes is not.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 04 Sep 2021 20:28:34 +0000

rust-console (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.13.0 from crates.io using debcargo 2.4.4-alpha.0
  * Use collapse_features = true

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 Sep 2021 08:57:57 +0200

=== debian/control ===
Source: rust-console
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-encode-unicode-0.3+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-regex-1+std-dev (>= 1.3.1-~~) <!nocheck>,
 librust-terminal-size-0.1+default-dev (>= 0.1.13-~~) <!nocheck>,
 librust-unicode-width-0.1+default-dev <!nocheck>,
 librust-winapi-0.3+consoleapi-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winuser-dev <!nocheck>,
 librust-winapi-util-0.1+default-dev (>= 0.1.3-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
Homepage: https://github.com/mitsuhiko/console
Rules-Requires-Root: no

Package: librust-console-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-encode-unicode-0.3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-regex-1+std-dev (>= 1.3.1-~~),
 librust-terminal-size-0.1+default-dev (>= 0.1.13-~~),
 librust-unicode-width-0.1+default-dev,
 librust-winapi-0.3+consoleapi-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winuser-dev,
 librust-winapi-util-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-console+ansi-parsing-dev (= ${binary:Version}),
 librust-console+default-dev (= ${binary:Version}),
 librust-console+regex-dev (= ${binary:Version}),
 librust-console+unicode-width-dev (= ${binary:Version}),
 librust-console+winapi-util-dev (= ${binary:Version}),
 librust-console+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0-dev (= ${binary:Version}),
 librust-console-0+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0+default-dev (= ${binary:Version}),
 librust-console-0+regex-dev (= ${binary:Version}),
 librust-console-0+unicode-width-dev (= ${binary:Version}),
 librust-console-0+winapi-util-dev (= ${binary:Version}),
 librust-console-0+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.13-dev (= ${binary:Version}),
 librust-console-0.13+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.13+default-dev (= ${binary:Version}),
 librust-console-0.13+regex-dev (= ${binary:Version}),
 librust-console-0.13+unicode-width-dev (= ${binary:Version}),
 librust-console-0.13+winapi-util-dev (= ${binary:Version}),
 librust-console-0.13+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.13.0-dev (= ${binary:Version}),
 librust-console-0.13.0+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.13.0+default-dev (= ${binary:Version}),
 librust-console-0.13.0+regex-dev (= ${binary:Version}),
 librust-console-0.13.0+unicode-width-dev (= ${binary:Version}),
 librust-console-0.13.0+winapi-util-dev (= ${binary:Version}),
 librust-console-0.13.0+windows-console-colors-dev (= ${binary:Version})
Description: Terminal and console abstraction for Rust - Rust source code
 This package contains the source for the Rust console crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets 
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --no-default-features --features regex
Features: test-name=librust-console-dev:regex
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --no-default-features --features winapi-util
Features: test-name=librust-console-dev:winapi-util
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.13.0 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-console 0.15.0

=== debian/changelog ===
rust-console (0.15.0-1) unstable; urgency=medium

  * Package console 0.15.0 from crates.io using debcargo 2.5.0

 -- kpcyrd <git@rxv.cc>  Sat, 09 Jul 2022 22:48:04 +0000

=== debian/control ===
Source: rust-console
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-encode-unicode-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-regex-1+std-dev (>= 1.4.2-~~) <!nocheck>,
 librust-terminal-size-0.1+default-dev (>= 0.1.14-~~) <!nocheck>,
 librust-unicode-width-0.1+default-dev <!nocheck>,
 librust-winapi-0.3+consoleapi-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winuser-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 kpcyrd <git@rxv.cc>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
Homepage: https://github.com/mitsuhiko/console
Rules-Requires-Root: no

Package: librust-console-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-encode-unicode-0.3+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-regex-1+std-dev (>= 1.4.2-~~),
 librust-terminal-size-0.1+default-dev (>= 0.1.14-~~),
 librust-unicode-width-0.1+default-dev,
 librust-winapi-0.3+consoleapi-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winuser-dev,
 librust-winapi-util-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-console+ansi-parsing-dev (= ${binary:Version}),
 librust-console+default-dev (= ${binary:Version}),
 librust-console+regex-dev (= ${binary:Version}),
 librust-console+unicode-width-dev (= ${binary:Version}),
 librust-console+winapi-util-dev (= ${binary:Version}),
 librust-console+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0-dev (= ${binary:Version}),
 librust-console-0+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0+default-dev (= ${binary:Version}),
 librust-console-0+regex-dev (= ${binary:Version}),
 librust-console-0+unicode-width-dev (= ${binary:Version}),
 librust-console-0+winapi-util-dev (= ${binary:Version}),
 librust-console-0+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.15-dev (= ${binary:Version}),
 librust-console-0.15+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.15+default-dev (= ${binary:Version}),
 librust-console-0.15+regex-dev (= ${binary:Version}),
 librust-console-0.15+unicode-width-dev (= ${binary:Version}),
 librust-console-0.15+winapi-util-dev (= ${binary:Version}),
 librust-console-0.15+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.15.0-dev (= ${binary:Version}),
 librust-console-0.15.0+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.15.0+default-dev (= ${binary:Version}),
 librust-console-0.15.0+regex-dev (= ${binary:Version}),
 librust-console-0.15.0+unicode-width-dev (= ${binary:Version}),
 librust-console-0.15.0+winapi-util-dev (= ${binary:Version}),
 librust-console-0.15.0+windows-console-colors-dev (= ${binary:Version})
Description: Terminal and console abstraction for Rust - Rust source code
 This package contains the source for the Rust console crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets 
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --no-default-features --features regex
Features: test-name=librust-console-dev:regex
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --no-default-features --features winapi-util
Features: test-name=librust-console-dev:winapi-util
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.0 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-console 0.15.2

=== debian/changelog ===
rust-console (0.15.2-2) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.2 from crates.io using debcargo 2.5.0
  * Bump dependency on terminal_size to 0.2

 -- Peter Michael Green <plugwash@debian.org>  Sun, 30 Oct 2022 14:23:21 +0000

rust-console (0.15.2-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.2 from crates.io using debcargo 2.5.0
  * Fix benches.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 08 Oct 2022 23:53:58 +0000

rust-console (0.15.1-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.1 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 14 Sep 2022 09:11:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-encode-unicode-0.3+default-dev <!nocheck>,
- librust-libc-0.2+default-dev <!nocheck>,
- librust-once-cell-1+default-dev <!nocheck>,
- librust-regex-1+std-dev (>= 1.4.2-~~) <!nocheck>,
- librust-terminal-size-0.1+default-dev (>= 0.1.14-~~) <!nocheck>,
+ librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
+ librust-libc-0.2+default-dev (>= 0.2.30-~~) <!nocheck>,
+ librust-terminal-size-0.2+default-dev <!nocheck>,
  librust-unicode-width-0.1+default-dev <!nocheck>,
  librust-winapi-0.3+consoleapi-dev <!nocheck>,
  librust-winapi-0.3+default-dev <!nocheck>,
@@ -25,7 +24,7 @@
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
-Homepage: https://github.com/mitsuhiko/console
+Homepage: https://github.com/console-rs/console
 Rules-Requires-Root: no
 
 Package: librust-console-dev
@@ -34,10 +33,10 @@
 Depends:
  ${misc:Depends},
  librust-encode-unicode-0.3+default-dev,
- librust-libc-0.2+default-dev,
- librust-once-cell-1+default-dev,
+ librust-lazy-static-1+default-dev (>= 1.4.0-~~),
+ librust-libc-0.2+default-dev (>= 0.2.30-~~),
  librust-regex-1+std-dev (>= 1.4.2-~~),
- librust-terminal-size-0.1+default-dev (>= 0.1.14-~~),
+ librust-terminal-size-0.2+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-winapi-0.3+consoleapi-dev,
  librust-winapi-0.3+default-dev,
@@ -67,13 +66,13 @@
  librust-console-0.15+unicode-width-dev (= ${binary:Version}),
  librust-console-0.15+winapi-util-dev (= ${binary:Version}),
  librust-console-0.15+windows-console-colors-dev (= ${binary:Version}),
- librust-console-0.15.0-dev (= ${binary:Version}),
- librust-console-0.15.0+ansi-parsing-dev (= ${binary:Version}),
- librust-console-0.15.0+default-dev (= ${binary:Version}),
- librust-console-0.15.0+regex-dev (= ${binary:Version}),
- librust-console-0.15.0+unicode-width-dev (= ${binary:Version}),
- librust-console-0.15.0+winapi-util-dev (= ${binary:Version}),
- librust-console-0.15.0+windows-console-colors-dev (= ${binary:Version})
+ librust-console-0.15.2-dev (= ${binary:Version}),
+ librust-console-0.15.2+ansi-parsing-dev (= ${binary:Version}),
+ librust-console-0.15.2+default-dev (= ${binary:Version}),
+ librust-console-0.15.2+regex-dev (= ${binary:Version}),
+ librust-console-0.15.2+unicode-width-dev (= ${binary:Version}),
+ librust-console-0.15.2+winapi-util-dev (= ${binary:Version}),
+ librust-console-0.15.2+windows-console-colors-dev (= ${binary:Version})
 Description: Terminal and console abstraction for Rust - Rust source code
  This package contains the source for the Rust console crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets 
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --no-default-features --features regex
Features: test-name=librust-console-dev:regex
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --no-default-features --features winapi-util
Features: test-name=librust-console-dev:winapi-util
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.2 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+default-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/console-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/console .*/crates/console/@ANY_VERSION@/download

## rust-console 0.15.7

=== debian/changelog ===
rust-console (0.15.7-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.7 from crates.io using debcargo 2.6.1
  * Update fix-bench.diff for new upstream.
  * Drop relax-dep.diff, no longer needed.
  * Remove dependency on windows-sys, it's not in Debian and only used
    on windows.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 30 Nov 2023 23:30:29 +0000

=== debian/control ===
Source: rust-console
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.48.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-encode-unicode-0.3+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.99-~~) <!nocheck>,
 librust-unicode-width-0.1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 kpcyrd <git@rxv.cc>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
Homepage: https://github.com/console-rs/console
X-Cargo-Crate: console
Rules-Requires-Root: no

Package: librust-console-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-encode-unicode-0.3+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-libc-0.2+default-dev (>= 0.2.99-~~),
 librust-unicode-width-0.1+default-dev
Provides:
 librust-console+ansi-parsing-dev (= ${binary:Version}),
 librust-console+default-dev (= ${binary:Version}),
 librust-console+unicode-width-dev (= ${binary:Version}),
 librust-console+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0-dev (= ${binary:Version}),
 librust-console-0+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0+default-dev (= ${binary:Version}),
 librust-console-0+unicode-width-dev (= ${binary:Version}),
 librust-console-0+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.15-dev (= ${binary:Version}),
 librust-console-0.15+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.15+default-dev (= ${binary:Version}),
 librust-console-0.15+unicode-width-dev (= ${binary:Version}),
 librust-console-0.15+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.15.7-dev (= ${binary:Version}),
 librust-console-0.15.7+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.15.7+default-dev (= ${binary:Version}),
 librust-console-0.15.7+unicode-width-dev (= ${binary:Version}),
 librust-console-0.15.7+windows-console-colors-dev (= ${binary:Version})
Description: Terminal and console abstraction for Rust - Rust source code
 Source code for Debianized Rust crate "console"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.7 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+break-dead-code-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.7 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+break-dead-code-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.7 --all-targets
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+break-dead-code-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.7 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+break-dead-code-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.7 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+break-dead-code-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.7 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+break-dead-code-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-console 0.15.8

=== debian/changelog ===
rust-console (0.15.8-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.8 from crates.io using debcargo 2.6.1
  * Accomodate new unicode-width crate, which now seems to count escape
    characters when calculating widths.
  * Remove "break-dead-code" feature from proptest dev-dependency.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 20 Aug 2024 03:10:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
- rustc:native (>= 1.48.0) <!nocheck>,
+ rustc:native (>= 1.56.0) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-encode-unicode-0.3+default-dev <!nocheck>,
  librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
@@ -45,10 +45,10 @@
  librust-console-0.15+default-dev (= ${binary:Version}),
  librust-console-0.15+unicode-width-dev (= ${binary:Version}),
  librust-console-0.15+windows-console-colors-dev (= ${binary:Version}),
- librust-console-0.15.7-dev (= ${binary:Version}),
- librust-console-0.15.7+ansi-parsing-dev (= ${binary:Version}),
- librust-console-0.15.7+default-dev (= ${binary:Version}),
- librust-console-0.15.7+unicode-width-dev (= ${binary:Version}),
- librust-console-0.15.7+windows-console-colors-dev (= ${binary:Version})
+ librust-console-0.15.8-dev (= ${binary:Version}),
+ librust-console-0.15.8+ansi-parsing-dev (= ${binary:Version}),
+ librust-console-0.15.8+default-dev (= ${binary:Version}),
+ librust-console-0.15.8+unicode-width-dev (= ${binary:Version}),
+ librust-console-0.15.8+windows-console-colors-dev (= ${binary:Version})
 Description: Terminal and console abstraction for Rust - Rust source code
  Source code for Debianized Rust crate "console"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.8 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.8 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.8 --all-targets
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.8 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.8 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.8 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 18), librust-criterion-0.3+default-dev (>= 0.3.5-~~), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-console 0.15.10

=== debian/changelog ===
rust-console (0.15.10-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.10 from crates.io using debcargo 2.7.6
  * d/patches:
    - delete fix-bench.diff
    - add remove-benches.patch (do not run benches)
    - add remove-examples.patch (examples were already excluded from the
      package, introduces no functional changes)
    - refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 19 Jan 2025 13:11:46 +0000

=== debian/control ===
Source: rust-console
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.66) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.99-~~) <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.8-~~) <!nocheck>,
 librust-unicode-width-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
Homepage: https://github.com/console-rs/console
X-Cargo-Crate: console
Rules-Requires-Root: no

Package: librust-console-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libc-0.2+default-dev (>= 0.2.99-~~),
 librust-once-cell-1+default-dev (>= 1.8-~~),
 librust-unicode-width-0.2+default-dev
Provides:
 librust-console+ansi-parsing-dev (= ${binary:Version}),
 librust-console+default-dev (= ${binary:Version}),
 librust-console+unicode-width-dev (= ${binary:Version}),
 librust-console+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0-dev (= ${binary:Version}),
 librust-console-0+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0+default-dev (= ${binary:Version}),
 librust-console-0+unicode-width-dev (= ${binary:Version}),
 librust-console-0+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.15-dev (= ${binary:Version}),
 librust-console-0.15+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.15+default-dev (= ${binary:Version}),
 librust-console-0.15+unicode-width-dev (= ${binary:Version}),
 librust-console-0.15+windows-console-colors-dev (= ${binary:Version}),
 librust-console-0.15.10-dev (= ${binary:Version}),
 librust-console-0.15.10+ansi-parsing-dev (= ${binary:Version}),
 librust-console-0.15.10+default-dev (= ${binary:Version}),
 librust-console-0.15.10+unicode-width-dev (= ${binary:Version}),
 librust-console-0.15.10+windows-console-colors-dev (= ${binary:Version})
Description: Terminal and console abstraction for Rust - Rust source code
 Source code for Debianized Rust crate "console"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.10 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.10 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.10 --all-targets
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.10 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.10 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.10 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/console-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/console .*/crates/console/@ANY_VERSION@/download

## rust-console 0.15.11

=== debian/changelog ===
rust-console (0.15.11-1) unstable; urgency=medium

  * Team upload.
  * Package console 0.15.11 from crates.io using debcargo 2.7.11
  * d/patches: refresh

 -- NoisyCoil <noisycoil@debian.org>  Wed, 19 Nov 2025 16:16:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native <!nocheck>,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
  rustc:native (>= 1.66) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-libc-0.2+default-dev (>= 0.2.99-~~) <!nocheck>,
@@ -13,12 +13,11 @@
 Uploaders:
  Paride Legovini <paride@debian.org>,
  kpcyrd <git@rxv.cc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/console]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/console
 Homepage: https://github.com/console-rs/console
 X-Cargo-Crate: console
-Rules-Requires-Root: no
 
 Package: librust-console-dev
 Architecture: any
@@ -43,10 +42,10 @@
  librust-console-0.15+default-dev (= ${binary:Version}),
  librust-console-0.15+unicode-width-dev (= ${binary:Version}),
  librust-console-0.15+windows-console-colors-dev (= ${binary:Version}),
- librust-console-0.15.10-dev (= ${binary:Version}),
- librust-console-0.15.10+ansi-parsing-dev (= ${binary:Version}),
- librust-console-0.15.10+default-dev (= ${binary:Version}),
- librust-console-0.15.10+unicode-width-dev (= ${binary:Version}),
- librust-console-0.15.10+windows-console-colors-dev (= ${binary:Version})
+ librust-console-0.15.11-dev (= ${binary:Version}),
+ librust-console-0.15.11+ansi-parsing-dev (= ${binary:Version}),
+ librust-console-0.15.11+default-dev (= ${binary:Version}),
+ librust-console-0.15.11+unicode-width-dev (= ${binary:Version}),
+ librust-console-0.15.11+windows-console-colors-dev (= ${binary:Version})
 Description: Terminal and console abstraction for Rust - Rust source code
  Source code for Debianized Rust crate "console"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.11 --all-targets --all-features
Features: test-name=rust-console:@
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.11 --all-targets --no-default-features --features ansi-parsing
Features: test-name=librust-console-dev:ansi-parsing
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.11 --all-targets
Features: test-name=librust-console-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.11 --all-targets --no-default-features --features unicode-width
Features: test-name=librust-console-dev:unicode-width
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.11 --all-targets --no-default-features --features windows-console-colors
Features: test-name=librust-console-dev:windows-console-colors
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test console 0.15.11 --all-targets --no-default-features
Features: test-name=librust-console-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.66), librust-proptest-1+bit-set-dev, librust-proptest-1+std-dev, librust-regex-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/console
Matching-Pattern:  .*/crates/console/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/console-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
